Update team member

Update a team member's properties such as admin status or nickname. <Info>Scope required: `write:agency`</Info> <Info>Requires: Agency admin access</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

userIdstringRequiredformat: "uuid"
Team member user UUID

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Request

This endpoint expects an object.
creatorUuidslist of strings or nullRequired
Array of creator UUIDs that this team member should have access to
nicknamestring or nullOptional
Nickname for the team member

Response

Team member updated successfully
uuidstringformat: "uuid"
isAdminboolean
nicknamestring or null
emailstringformat: "email"
displayNamestring
creatorAccesslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
410
Gone Error